#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libnatpmp
Version		:	20150609
Release		:	17.0.10.rel%{?dist}
Summary		:	A portable and fully compliant implementation of the NAT-PMP protocol

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://miniupnp.tuxfamily.org/files/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
NAT-PMP is the direct concurrent to the UPnP IGD specification.
It is providing a way to do NAT traversal. It is part of the
Bonjour protocol specifications. You can get the description of
this simple protocol here or by reading the draft. At the moment
it is mainly supported by Apple software and hardware. If you
are looking for a way to add NAT-PMP capabilities to your *BSD,
Linux or (Open)Solaris Router, you should have a look at MiniUPnPd
which is supporting NAT-PMP in addition to UPnP since December 2007 !

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
sed -i							\
  -e "s/CFLAGS = /CFLAGS += /"				\
  Makefile

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PREFIX=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

find 							\
	%{buildroot}%{_libdir}				\
	-name \*.so					\
	-exec chmod 755 {} ";"				\
	-print


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license LICENSE
%{_bindir}/natpmpc
%{_includedir}/natpmp.h
%{_libdir}/%{name}.so*


#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
